composite_decorator.cpp
utility
ftxui/dom/elements.hpp
ftxui/dom/canvas.hpp
ftxui/dom/deprecated.hpp
ftxui/dom/direction.hpp
ftxui/dom/elements.hpp
ftxui/dom/flexbox_config.hpp
ftxui/dom/linear_gradient.hpp
ftxui/dom/node.hpp
ftxui/dom/requirement.hpp
ftxui/dom/selection.hpp
ftxui/screen/box.hpp
ftxui/screen/color.hpp
ftxui/screen/image.hpp
ftxui/screen/pixel.hpp
ftxui/screen/screen.hpp
ftxui/screen/string.hpp
ftxui/screen/terminal.hpp
ftxui/util/autoreset.hpp
ftxui/util/ref.hpp
src/ftxui/dom/composite_decorator.cpp
cstddef
cstdint
ftxui/dom/take_any_args.hpp
functional
memory
optional
sstream
string
unordered_map
utility
variant
vector
ftxui

    //Copyright2020ArthurSonzogni.Allrightsreserved.
    //UseofthissourcecodeisgovernedbytheMITlicensethatcanbefoundin
    //theLICENSEfile.

    #include<utility>//formove

    #include"ftxui/dom/elements.hpp"//forElement,filler,operator|,hbox,flex_grow,vbox,xflex_grow,yflex_grow,align_right,center,hcenter,vcenter

    namespaceftxui{

    ///@briefCenteranelementhorizontally.
    ///@paramchildThedecoratedelement.
    ///@returnThecenteredelement.
    ///@ingroupdom
    Elementhcenter(Elementchild){
    returnhbox(filler(),std::move(child),filler());
    }

    ///@briefCenteranelementvertically.
    ///@paramchildThedecoratedelement.
    ///@returnThecenteredelement.
    ///@ingroupdom
    Elementvcenter(Elementchild){
    returnvbox(filler(),std::move(child),filler());
    }

    ///@briefCenteranelementhorizontallyandvertically.
    ///@paramchildThedecoratedelement.
    ///@returnThecenteredelement.
    ///@ingroupdom
    Elementcenter(Elementchild){
    returnhcenter(vcenter(std::move(child)));
    }

    ///@briefAlignanelementontherightside.
    ///@paramchildThedecoratedelement.
    ///@returnTherightalignedelement.
    ///@ingroupdom
    Elementalign_right(Elementchild){
    returnhbox(filler(),std::move(child));
    }

    }//namespaceftxui